Static Analyzer for Solidity
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
slither/scripts/ci_test_flat.sh

20 lines
338 B

#!/usr/bin/env bash
shopt -s extglob
### Test slither-flat
solc-select use 0.8.19 --always-install
cd examples/flat || exit 1
if ! slither-flat b.sol; then
echo "slither-flat failed"
exit 1
fi
SUFFIX="@(sol)"
if ! solc "crytic-export/flattening/"*$SUFFIX; then
echo "solc failed on flattened files"
exit 1
fi
exit 0